Database:
  description: A Database provisioned and owned by a Tenant
  properties:
    Active:
      description: Is this database active?
      type: boolean
      x-nullable: true
    ClusterID:
      description: The ID of the Cluster in which this database is deployed
      type: string
      x-nullable: true
    CreatedByID:
      description: Created By
      type: string
      x-nullable: true
    CreatedDate:
      description: Created Date
      type: string
      x-nullable: true
    DSN:
      description: Database connection string
      type: string
      x-nullable: true
    DatabaseName:
      description: The name of the physical database in the cluster
      type: string
      x-nullable: true
    ID:
      description: Record Id
      type: string
    LastModifiedByID:
      description: Last Modified By
      type: string
      x-nullable: true
    LastModifiedDate:
      description: Last Modifed Date
      type: string
      x-nullable: true
    Microservices:
      description: List of microservices implemented by this Database
      type: string
      x-nullable: true
    Status:
      description: The current status of this Tenant
      type: string
      x-nullable: true
    TenantID:
      description: The ID of the tenant who owns this Database
      type: string
      x-nullable: true
    Type:
      description: The type of Database (mysql, etc)
      type: string
      x-nullable: true
  type: object
